# hy-icon

<!-- Auto Generated Below -->

## Properties

| Property | Attribute | Description | Type     | Default     |
| -------- | --------- | ----------- | -------- | ----------- |
| `fill`   | `fill`    |             | `string` | `'black'`   |
| `icon`   | `icon`    |             | `string` | `undefined` |
| `size`   | `size`    |             | `number` | `20`        |

## Dependencies

### Used by

- [hy-accordion-item](../accordion-item)
- [hy-button](../button)
- [hy-cta-button](../cta-button)
- [hy-cta-link](../cta-link)
- [hy-menu-item](../navigation/menu-item)
- [hy-menu-language](../navigation/menu-language)
- [hy-menu-mobile-breadcrumb](../navigation/menu-mobile-breadcrumb)
- [hy-site-header](../site-header)
- [hy-site-logo](../site-header/site-logo)
- [hy-site-search](../site-header/site-search)

### Graph

```mermaid
graph TD;
  hy-accordion-item --> hy-icon
  hy-button --> hy-icon
  hy-cta-button --> hy-icon
  hy-cta-link --> hy-icon
  hy-menu-item --> hy-icon
  hy-menu-language --> hy-icon
  hy-menu-mobile-breadcrumb --> hy-icon
  hy-site-header --> hy-icon
  hy-site-logo --> hy-icon
  hy-site-search --> hy-icon
  style hy-icon fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
